//
//	Test Menu (patterns to be copied and modified by user)
//
//n:
	// begin
	// Minstruction = WREN;
	// end
//n:
	// begin
	// Minstruction = WRDI;
	// end
//n:
	// begin
	// Minstruction = RDSR;
	// end
//n:
	// begin
	// Minstruction = WRSR;
	// data[0] = 8'hxx;
	// SR[0]=RDY,SR[1]=WEL;
	// SR[3]=BP1,SR[2]=BP0:
	//	11 = full prot; 10 = half prot; 01 = quarter prot.;
	// for certain: SR[7]=WPEN
	// end
//n:
	// begin
	// Minstruction = READ;	// 
	// addr = 16'hxxxx;	// 

	// lSeq = x;	
	// end
//n:
	// begin
	// Minstruction = WRITE; // 
	// addr = 16'hxxxx;
	// lSeq = x;
	// pattern = 8'bxx; // used to generate a sequence for multiple write
	// end
//n:
	// begin
	// Minstruction = WRONG_OPCODE;
	// end

//
// Input Data Sequence 
//

1:
	begin
	$display;
	$display("############# TEST WRSR ##############");
	$display;
	WP = 1;
	Minstruction = WREN;
	end
2:
	begin
	Minstruction = WRSR;
	data[0] = 8'h73;
	end
3:
	begin
	Minstruction = RDSR;
	end
4:
	begin
	$display;
	$display("############# TEST WRITE BYTE ##############");
	$display;
	Minstruction = WREN;
	end
5:
	begin
	Minstruction = WRITE;
	addr = 16'h7ff5;
	lSeq = 1;	
	data[0] = 8'h99;
	end
6:
	begin
	Minstruction = READ;
	addr = 16'h7ff5;
	lSeq = 1;	
	end
7:
	begin
	$display;
	$display("############# TEST WRONG OPERATION CODE DETECTION ##############");
	$display;
	Minstruction = WRONG_OPCODE;
	MbitCounter = 0;
	end

8:
	begin
	$display;
	$display("############# TEST WRITE WITHOUT PREVIOUS WREN ##############");
	$display;
	Minstruction = WRITE;
	addr = 16'h0011;
	lSeq = 1;	
	data[0] = 8'h11;
	end
9:
	begin
	Minstruction = READ;
	addr = 16'h0011;
	lSeq = 1;	
	end
10:
	begin
	$display;
	$display("############# TEST PAGE WRITE ##############");
	$display;
	Minstruction = WREN;
	end
11:
	begin
	Minstruction = WRITE;
	addr = 8'h10;
	lSeq = 24;
	pattern = 8'h01;
	end
12:
	begin
	Minstruction = READ;
	addr = 8'h10;
	lSeq = 66;	
	end
13:
	begin
	$display;
	$display("############# TEST SOFT PROTECTION - QUARTER ##############");
	$display;
	Minstruction = WREN;
	end
14:
	begin
	Minstruction = WRSR;
	//data[0] = 8'h2e;	// full prot.
	//data[0] = 8'h2a;	// half prot.
	data[0] = 8'h26;	// quarter prot.
	end
15:
	begin
	Minstruction = RDSR;
	end
16:
	begin
	Minstruction = WREN;
	end
17:
	begin
	Minstruction = WRITE;
	addr = 8'h50;
	lSeq = 16;	
	data[0] = 8'h55;
	end
18:
	begin
	Minstruction = WREN;
	end
19:
	begin
	Minstruction = WRITE;
	addr = 8'h60;
	lSeq = 16;	
	data[0] = 8'h66;
	end

20:
	begin
	Minstruction = READ;
	addr = 16'h50;
	lSeq = 32;	
	end


21:
	begin
	$display;
	$display("############# TEST SOFT PROTECTION - HALF ##############");
	$display;
	Minstruction = WREN;
	end

22:
	begin
	Minstruction = WRSR;
	//data[0] = 8'h2e;	// full prot.
	data[0] = 8'haa;	// half prot.
	//data[0] = 8'h26;	// quarter prot.
	end
23:
	begin
	Minstruction = WREN;
	end
24:
	begin
	Minstruction = WRITE;
	addr = 8'h30;
	lSeq = 16;	
	data[0] = 8'h33;
	end
25:
	begin
	Minstruction = WREN;
	end
26:
	begin
	Minstruction = WRITE;
	addr = 8'h40;
	lSeq = 1;	
	data[0] = 8'h55;
	end

27:
	begin
	Minstruction = READ;
	addr = 8'h00;
	lSeq = 8*16;	
	end

28:
	begin
	$display;
	$display("############# TEST HARDWARE PROTECTION ##############");
	$display;
	WP = 0;
	Minstruction = WREN;
	end

29:
	begin
	Minstruction = WRITE;
	addr = 8'h00;
	lSeq = 16;	
	data[0] = 8'h00;
	end

30:
	begin
	Minstruction = WREN;
	end

31:
	begin
	Minstruction = WRITE;
	addr = 8'h70;
	lSeq = 16;	
	data[0] = 8'h77;
	end

32:
	begin
	Minstruction = WREN;
	end

33:
	begin
	Minstruction = WRSR;
	data[0] = 8'h2e;	// full prot.
	//data[0] = 8'h2a;	// half prot.
	//data[0] = 8'h26;	// quarter prot.
	end

34:
	begin
	Minstruction = READ;
	addr = 16'h0000;
	lSeq = 8*16;	
	end

35:
	begin
	Minstruction = RDSR;
	end
